# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Dec 19 15:19:16 2023
# ------------------------------------------------

package:
  name: cython
  version: 3.0.6
source:
  sha256: 399d185672c667b26eabbdca420c98564583798af3bc47670a8a09e9f19dd660
  url: https://pypi.io/packages/source/c/cython/Cython-3.0.6.tar.gz
build:
  entry_points:
    - cygdb = Cython.Debugger.Cygdb:main
    - cython = Cython.Compiler.Main:setuptools_main
    - cythonize = Cython.Build.Cythonize:main
  number: '0'
  script: /croot/cython_1702999162981/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py38h5eee18b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2023.12.12 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.12 h7f8727e_0
    - pip 23.3.1 py38h06a4308_0
    - python 3.8.18 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.2.2 py38h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - wheel 0.41.2 py38h06a4308_0
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - libgcc-ng >=11.2.0
    - python >=3.8,<3.9.0a0
test:
  commands:
    - pip check
    - cython --version
    - cython --help
    - cythonize --help
    - cygdb --help
  files:
    - fib.pyx
  requires:
    - gcc_linux-64 11.2.0.*
    - pip
    - setuptools
about:
  description: 'Cython is an optimising static compiler for both the Python programming

    language and the extended Cython programming language. It makes writing C

    extensions for Python as easy as Python itself.

    '
  dev_url: https://github.com/cython/cython
  doc_url: https://cython.readthedocs.io/
  home: https://cython.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: The Cython compiler for writing C extensions for the Python language
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: d1597b18-839f-44d0-aa08-ccc50deb79c5
  recipe-maintainers:
    - cbouss
  remote_url: git@github.com:AnacondaRecipes/cython-feedstock.git
  sha: 5a90da9a7956078e07218476f4fb5a9fc89e7f7c
